org.keycloak.dom.saml.v1.assertion

## Class SAML11AuthorizationDecisionStatementType

- java.lang.Object
- - org.keycloak.dom.saml.v1.assertion.SAML11StatementAbstractType
  - - org.keycloak.dom.saml.v1.assertion.SAML11SubjectStatementType
    - - org.keycloak.dom.saml.v1.assertion.SAML11AuthorizationDecisionStatementType

- All Implemented Interfaces:
    Serializable

      public class SAML11AuthorizationDecisionStatementType
      extends SAML11SubjectStatementType

  Since:
    Jun 22, 2011
  Author:
    Anil.Saldhana@redhat.com
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<SAML11ActionType>` | `actions`
    `protected SAML11DecisionType` | `decision`
    `protected SAML11EvidenceType` | `evidence`
    `protected URI` | `resource`

    - ### Fields inherited from class org.keycloak.dom.saml.v1.assertion.SAML11SubjectStatementType

      `subject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAML11AuthorizationDecisionStatementType(URI resource, SAML11DecisionType decision)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAction(SAML11ActionType action)`
    `List<SAML11ActionType>` | `getActions()`
    `SAML11DecisionType` | `getDecision()`
    `SAML11EvidenceType` | `getEvidence()`
    `URI` | `getResource()`
    `boolean` | `removeAction(SAML11ActionType action)`
    `void` | `setEvidence(SAML11EvidenceType evidence)`

    - ### Methods inherited from class org.keycloak.dom.saml.v1.assertion.SAML11SubjectStatementType

      `getSubject, setSubject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### actions

          protected List<SAML11ActionType> actions

    - #### evidence

          protected SAML11EvidenceType evidence

    - #### resource

          protected URI resource

    - #### decision

          protected SAML11DecisionType decision

  - ### Constructor Detail

    - #### SAML11AuthorizationDecisionStatementType

          public SAML11AuthorizationDecisionStatementType(URI resource,
                                                          SAML11DecisionType decision)

  - ### Method Detail

    - #### getResource

          public URI getResource()

    - #### getDecision

          public SAML11DecisionType getDecision()

    - #### addAction

          public void addAction(SAML11ActionType action)

    - #### removeAction

          public boolean removeAction(SAML11ActionType action)

    - #### getActions

          public List<SAML11ActionType> getActions()

    - #### getEvidence

          public SAML11EvidenceType getEvidence()

    - #### setEvidence

          public void setEvidence(SAML11EvidenceType evidence)

Copyright © 2020 JBoss by Red Hat. All rights reserved.